For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
          • POSTCreate
          • PUTUpdate
          • GETGet Multi Paginated
          • GETGet
          • GETGet History
          • GETGet Multi
          • GETScan
          • POSTBatch Update Ppg
          • POSTCheck Eligibility
          • GETGet Eligibility
Contact Sales
LogoLogo
API ReferencePre EncounterCoveragesV1

Get Eligibility

Beta
GET
/coverages/v1//:id/eligibility/:check_id
GET
/coverages/v1//:id/eligibility/:check_id
$curl https://pre-api.joincandidhealth.com/coverages/v1/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32/eligibility/check_id \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "metadata": {
3 "check_id": "check_id",
4 "service_code": "1",
5 "status": "COMPLETED",
6 "initiated_by": "initiated_by",
7 "initiated_at": "2024-01-15T09:30:00Z"
8 },
9 "check": {
10 "response": {
11 "key": "value"
12 },
13 "batch_id": "batch_id",
14 "errors": [
15 {
16 "source": "CANDID",
17 "errorDetails": {
18 "field?": "field?",
19 "description?": "description?",
20 "location?": "location?",
21 "possibleResolutions?": "possibleResolutions?",
22 "code?": "code?",
23 "followupAction?": "followupAction?"
24 }
25 },
26 {
27 "source": "CANDID",
28 "errorDetails": {
29 "field?": "field?",
30 "description?": "description?",
31 "location?": "location?",
32 "possibleResolutions?": "possibleResolutions?",
33 "code?": "code?",
34 "followupAction?": "followupAction?"
35 }
36 }
37 ],
38 "request": {
39 "payer_id": "payer_id",
40 "provider": {
41 "first_name": "first_name",
42 "last_name": "last_name",
43 "npi": "npi"
44 },
45 "subscriber": {
46 "first_name": "first_name",
47 "last_name": "last_name",
48 "member_id": "member_id",
49 "date_of_birth": "2023-01-15"
50 },
51 "submitter_transaction_identifier": "submitter_transaction_identifier",
52 "dependent": {
53 "first_name": "first_name",
54 "last_name": "last_name",
55 "member_id": "member_id",
56 "date_of_birth": "2023-01-15"
57 },
58 "encounter": {
59 "date_of_service": "2023-01-15",
60 "service_type_codes": [
61 "service_type_codes",
62 "service_type_codes"
63 ]
64 },
65 "get_existing_check_initiated_after": "2024-01-15T09:30:00Z",
66 "source": "source",
67 "portal_password": "portal_password",
68 "portal_username": "portal_username"
69 },
70 "parsed_response": {
71 "eligibility_status": "ACTIVE",
72 "plan_metadata": {
73 "payer_name": "payer_name",
74 "insurance_type": "insurance_type",
75 "insurance_type_code": "insurance_type_code",
76 "plan_name": "plan_name",
77 "member_id": "member_id",
78 "group_number": "group_number",
79 "start_date": "2023-01-15",
80 "end_date": "2023-01-15",
81 "plan_dates": [
82 {
83 "start_date": "2023-01-15",
84 "field_name": "field_name"
85 },
86 {
87 "start_date": "2023-01-15",
88 "field_name": "field_name"
89 }
90 ],
91 "subscriber": {
92 "member_id": "member_id",
93 "group_number": "group_number",
94 "first_name": "first_name",
95 "middle_name": "middle_name",
96 "last_name": "last_name",
97 "date_of_birth": "date_of_birth",
98 "gender": "gender",
99 "address": {}
100 },
101 "dependent": {
102 "member_id": "member_id",
103 "group_number": "group_number",
104 "first_name": "first_name",
105 "middle_name": "middle_name",
106 "last_name": "last_name",
107 "date_of_birth": "date_of_birth",
108 "gender": "gender",
109 "address": {}
110 }
111 },
112 "benefits": {
113 "plan_coverage": {
114 "in_network": {},
115 "in_network_flat": [],
116 "out_of_network": {},
117 "out_of_network_flat": []
118 },
119 "service_specific_coverage": [
120 {
121 "service_code": "1"
122 },
123 {
124 "service_code": "1"
125 }
126 ],
127 "benefits_related_entities": [
128 {},
129 {}
130 ],
131 "non_covered_details": [
132 {
133 "type": "DEDUCTIBLE",
134 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
135 "unit": "PERCENT",
136 "value": 1.1
137 },
138 {
139 "type": "DEDUCTIBLE",
140 "coverageLevel": "EMPLOYEE_AND_CHILDREN",
141 "unit": "PERCENT",
142 "value": 1.1
143 }
144 ],
145 "notes": "notes",
146 "autoUpdatedEligibilityCheckId": "autoUpdatedEligibilityCheckId"
147 }
148 },
149 "request_corrections": [
150 {
151 "property": "property",
152 "request_value": "request_value",
153 "corrected_value": "corrected_value"
154 },
155 {
156 "property": "property",
157 "request_value": "request_value",
158 "corrected_value": "corrected_value"
159 }
160 ]
161 }
162}
Gets the eligibility of a patient for a specific coverage if successful.
Was this page helpful?
Previous

Create

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

idUUIDRequired
The unique identifier for a Coverage in the database
check_idstringRequired

Response

This endpoint returns an object.
metadataobject
checkobject